Description

Hi,

When I write a page (wiki, knowledge base, etc) with visual editor, I can see everything.

But once I saved it and then I come back ont it and edit it, visual editor display a blank page and I get this error in logs :

ActionController::RoutingError (No route matches [POST] "/projects/si_noveltis/knowledgebase/artic

les/18/preview"):

  actionpack (4.2.11.1) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'

  actionpack (4.2.11.1) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'

  railties (4.2.11.1) lib/rails/rack/logger.rb:38:in `call_app'

  railties (4.2.11.1) lib/rails/rack/logger.rb:20:in `block in call'

  activesupport (4.2.11.1) lib/active_support/tagged_logging.rb:68:in `block in tagged'

  activesupport (4.2.11.1) lib/active_support/tagged_logging.rb:26:in `tagged'

  activesupport (4.2.11.1) lib/active_support/tagged_logging.rb:68:in `tagged'

  railties (4.2.11.1) lib/rails/rack/logger.rb:20:in `call'

  actionpack (4.2.11.1) lib/action_dispatch/middleware/request_id.rb:21:in `call'

  rack (1.6.11) lib/rack/methodoverride.rb:22:in `call'

  rack (1.6.11) lib/rack/runtime.rb:18:in `call'

  activesupport (4.2.11.1) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call

'

  actionpack (4.2.11.1) lib/action_dispatch/middleware/static.rb:120:in `call'

  rack (1.6.11) lib/rack/content_length.rb:15:in `call'

  rack (1.6.11) lib/rack/sendfile.rb:113:in `call'

  railties (4.2.11.1) lib/rails/engine.rb:518:in `call'

  railties (4.2.11.1) lib/rails/application.rb:165:in `call'

  railties (4.2.11.1) lib/rails/railtie.rb:194:in `public_send'

  railties (4.2.11.1) lib/rails/railtie.rb:194:in `method_missing'

  passenger (5.3.5) src/ruby_supportlib/phusion_passenger/rack/thread_handler_extension.rb:97:in `

process_request'

  passenger (5.3.5) src/ruby_supportlib/phusion_passenger/request_handler/thread_handler.rb:157:in

 `accept_and_process_next_request'

  passenger (5.3.5) src/ruby_supportlib/phusion_passenger/request_handler/thread_handler.rb:110:in

 `main_loop'

  passenger (5.3.5) src/ruby_supportlib/phusion_passenger/request_handler.rb:415:in `block (3 leve

ls) in start_threads'

  passenger (5.3.5) src/ruby_supportlib/phusion_passenger/utils.rb:113:in `block in create_thread_

and_abort_on_exception'

 I must switch to textile mode to be able to change my page's content.

Could you help me please ?

Thank you.

Best regards

History

#1 - 2019-11-05 13:39 - Go MAEDA

One of the plug-ins may have caused an error. Third-party plugins sometimes break Redmine.

At least a plugin named "knowledgebase" is installed in your environment. Please test again after uninstalling all plugins.
#2 - 2019-11-10 13:39 - Marius BĂLTEANU

- Status changed from New to Needs feedback

- Assignee set to Xavier ANDRE

#3 - 2019-11-12 09:17 - Xavier ANDRE

Ticket can be closed as this is a third party issue as you explained me.

Regards,

#4 - 2019-11-12 13:40 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
